# Installing

## Dependencies

- Xlib
- Xt
- Motif
- A C compiler

Installing via APK:

```sh
# apk add libx11 libx11-dev libxt libxt-dev motif motif-dev clang
```

## libXmd

Before building any of the applications you will need to build libXmd, which
contains code common to most of them:

```
# cd libXmd
# ./build.sh install
```

## Individual applications

Individual applications can be installed using `./build.sh` in their respective
subdirectories:

```
# cd <application>
# ./build.sh install
```
