#!/bin/sh

. ../scripts/flags.sh

function build() {
	cc $CFLAGS -shared -o "lib/libXmd.so" *.c || \
	echo "XXX FAIL!"
}

function clean() {
	rm -f lib/*
}

case "$1" in
install)
	clean; build
	cp lib/*.so "$PREFIX/lib"
	cp include/Xmd/*.h "$PREFIX/include/Xmd"
	clean
	;;
clean)
	clean
	;;
*)
	build
esac
